config() {
  NEW="$1"
  OLD="$(dirname $NEW)/$(basename $NEW .new)"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
    # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}

preserve_perms() {
  NEW="$1"
  OLD="$(dirname $NEW)/$(basename $NEW .new)"
  if [ -e $OLD ]; then
    cp -a $OLD ${NEW}.incoming
    cat $NEW > ${NEW}.incoming
    mv ${NEW}.incoming $NEW
  fi
  config $NEW
}

preserve_perms etc/rc.d/rc.nexus.new
config etc/nexus/nexus.properties.new
config etc/nexus/wrapper.conf.new
( cd usr/share/nexus ; rm -rf tmp )
( cd usr/share/nexus ; ln -sf /var/tmp/nexus tmp )
( cd usr/share/nexus/bin/jsw ; rm -rf conf )
( cd usr/share/nexus/bin/jsw ; ln -sf /etc/nexus conf )
( cd usr/share/nexus ; rm -rf logs )
( cd usr/share/nexus ; ln -sf /var/log/nexus logs )
( cd usr/share/nexus ; rm -rf conf )
( cd usr/share/nexus ; ln -sf /etc/nexus conf )
